#
# spec file for package python-pyux
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyux
Version:        0.0.6
Release:        bp153.1.14
Summary:        Utility to check API integrity in python libraries
License:        MIT
URL:            https://github.com/farizrahman4u/pyux
Source:         https://files.pythonhosted.org/packages/source/p/pyux/pyux-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/farizrahman4u/pyux/master/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Utility to check API integrity in Python libraries.

%prep
%setup -q -n pyux-%{version}
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 24 2020 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by python-Keras
